Testing ChocoHax 1.8.5 - ChocoShield Update

Testing

nit34byte

Chocolate CEO
Staff member
Administrator
Jun 20, 2021
916
129
1,390
localhost
www.lynxcollective.ltd

Choco Event Protection Update

chocoshield_1.png
DISCLAIMER: This is a testing version of ChocoShield, the final release may be different. Bugs and issues may occur, please report them back to me with detailed information.


FAQ: *Temporary name

Q: What is ChocoShield?
A: ChocoShield is a resource protector that obfuscates incoming and outgoing events to prevent malicious users from exploiting your server.

Q: How does ChocoShield work?
A: When installing ChocoShield a line will be added to your resource's fxmanifest.lua file, this line will include a shared script from ChocoHax that will obfuscate the events of the resource.

Q: Can I install ChocoShield on my own resources?
A: Yes, you can install ChocoShield on your own resources, but keep in mind that ChocoShield is still in testing and bugs may occur.

Q: Can I install ChocoShield on all resources at once? NOT RECOMMENDED
A: Yes, you can install ChocoShield on all resources at once by writing in your server console.
Code:
lynx chocoshield install *
OR
lynx chocoshield install all

Q: Can I install ChocoShield on resources that are obfuscated or escrow protected?
A: Yes, you can install ChocoShield on resources that are obfuscated or escrow protected, we do not guarantee that ChocoShield will work on all resources.

Q: Can i whitelist events or resources to prevent ChocoShield from obfuscating them?
A: Yes, you can whitelist events or resources by creating the following files into your chocohax/cache folder, these resources & events will not be touched by ChocoShield:
1714308425181.png
  • chocoHaxFolder/cache/whitelistedResources.txt
    • esx_policejob, vrp_example, my_script1234
  • chocoHaxFolder/cache/whitelistedEvents.txt
    • esx_policejob:handcuff, vrp_slotmachine:win, my_unprotected:event, esx:getSharedObject



Installation:​

WARNING: Works with 90% of the tested resources! DO NOT protect all resources at once, your server may stop working.
  1. Download and install the latest version: ChocoHax 1.8.5 R7.1.1 update
    1714307564618.png
  2. Start the server and ChocoHax
  3. Open your server console and write
    Code:
    lynx chocoshield list
    to see all the resources that can be protected
  4. Backup the resource you want to protect
  5. To protect a resource write:
    Code:
    lynx chocoshield install <resource>
    eg. lynx chocoshield install esx_policejob
  6. Restart your server
  7. Test the resource if it's still working!!!, optionally you can check your Event Logger using (F8 > Tools > Network Logger/Event Logger) to see if the events are being obfuscated

Uninstallation:​

  1. To uninstall ChocoShield from a resource write the following command in your server console:
    Code:
    lynx chocoshield uninstall <resource>
    eg. lynx chocoshield uninstall esx_policejob
  2. Restart your server
  3. Test the resource if it's still working!!!

Manual Uninstallation (in case something goes wrong):​

  1. Open the resource folder from where you want to uninstall ChocoShield
  2. Open the file fxmanifest.lua and remove the line shared_script '@chocohaxfoldername/8dbYOUR34eFILENAMEefb53e73bfc19b254TOKEN98984dce2.lua'
  3. optionally if you want to completely remove ChocoShield, you can delete the file 8dbYOUR34eFILENAMEefb53e73bfc19b254TOKEN98984dce2.lua from ChocoHax folder
 
Last edited:
  • Yes.
Reactions: xyos1337

nit34byte

Chocolate CEO
Staff member
Administrator
Jun 20, 2021
916
129
1,390
localhost
www.lynxcollective.ltd
Common Issues:
Q: I installed ChocoShield on my script, and now it doesn't work anymore. What should I do?
A: Ensure that your script was working properly before installing ChocoShield.
If your script stopped functioning after the installation, it could be an issue with the communication of trigger events.
  1. Check if your script is compatible with ChocoShield.
  2. If your script uses TriggerServerEvent and/or TriggerEvent from other scripts, or vice versa, you will need to protect those resources as well.
    eg. esx_policejob's dependency is es_extended
    Code:
    lynx chocoshield install esx_policejob
    lynx chocoshield install es_extended
  3. Ensure that your script does not use other protection systems that might interfere with ChocoShield.
 
Last edited:

Animarlly

ChocoHax
Apr 13, 2024
4
4
3
Personally I find it a good feature. It's good to protect some resources, to give some people a big surprise!

I'm more then happy to see what it becomes in future developement! Love it already.